Bug 700814 - Review Request: din - A musical instrument using multiple Bezier curves
Summary: Review Request: din - A musical instrument using multiple Bezier curves
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: libircclient
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-29 13:36 UTC by Adam Huffman
Modified: 2012-11-15 10:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 10:52:12 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Huffman 2011-04-29 13:36:48 UTC
Spec URL: http://verdurin.fedorapeople.org/reviews/din/din.spec 
SRPM URL: http://verdurin.fedorapeople.org/reviews/din/din-1.5.8.0-2.fc14.src.rpm
Description: 

din ("din is noise") is a "tone board" making the rectangular plane of
its screen into a field of sound you can transform. The video above
just begins to show some of what it can do. Pixels can be tones,
transformed onscreen. A resonator editor uses Bezier curves to edit
sounds across octaves. Each resonator, in turn, can be edited with yet
more Bezier curves. Put them together into the drone editor (the bit
you see in the video), and you can create vast, sculpted soundscapes
from series of rectangles dragged around between octaves. (Description
taken from Create Digital Music by Peter Kirn)

Comment 1 Adam Huffman 2011-04-29 13:40:15 UTC
This package depends upon libircclient, for which I have submitted a separate review request https://bugzilla.redhat.com/show_bug.cgi?id=700818

Comment 6 Andrew Nixon 2011-05-30 21:36:09 UTC
(In reply to comment #5)
> Another new upstream release:
> 
> http://verdurin.fedorapeople.org/reviews/din/din.spec
> 
> http://verdurin.fedorapeople.org/reviews/din/din-1.6.1-1.fc14.src.rpm

This now Segfaults on fc15, either from compiling the source files (for 1.6.2) directly or attempting to build your package.

Comment 7 Adam Huffman 2011-05-31 21:49:05 UTC
Don't know whether you noticed in the recent release notes, but a "factory reset" has been required i.e. removing ~/.din if you've used an earlier version.

I tried that just know with a local build of my 1.6.1 package and it starts up and runs fine.

Could you try again after renaming your ~/.din?

(Mine is on F14 - haven't upgraded my main desktop yet)

Comment 8 Andrew Nixon 2011-06-01 15:52:14 UTC
(In reply to comment #7)
> Don't know whether you noticed in the recent release notes, but a "factory
> reset" has been required i.e. removing ~/.din if you've used an earlier
> version.
> 
> I tried that just know with a local build of my 1.6.1 package and it starts up
> and runs fine.
> 
> Could you try again after renaming your ~/.din?
> 
> (Mine is on F14 - haven't upgraded my main desktop yet)

I have never tried it until now, so there was no ~/.din. I have intended to try to debug it to see where it is crashing but have not yet had time.

Comment 9 Adam Huffman 2011-06-21 23:12:53 UTC
New version at:

http://verdurin.fedorapeople.org/reviews/din/din.spec

http://verdurin.fedorapeople.org/reviews/din/din-1.6.3-1.fc14.src.rpm

Andrew - could you try this one and see if you see the same crashes?

Comment 10 Adam Huffman 2011-07-31 22:22:04 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Don't know whether you noticed in the recent release notes, but a "factory
> > reset" has been required i.e. removing ~/.din if you've used an earlier
> > version.
> > 
> > I tried that just know with a local build of my 1.6.1 package and it starts up
> > and runs fine.
> > 
> > Could you try again after renaming your ~/.din?
> > 
> > (Mine is on F14 - haven't upgraded my main desktop yet)
> 
> I have never tried it until now, so there was no ~/.din. I have intended to try
> to debug it to see where it is crashing but have not yet had time.

I've uploaded a new build which includes the latest upstream release (1.6.6):

http://verdurin.fedorapeople.org/reviews/din/din.spec

http://verdurin.fedorapeople.org/reviews/din/din-1.6.6-1.fc14.src.rpm

Could you give it a try and see if it still crashes?

Comment 12 Mario Blättermann 2012-07-29 11:01:20 UTC
Some initial comments:


Please submit more information about the patches. Are they already filed as upstream bugs? What are they needed for?


%configure --localstatedir=/usr/share

Probably it would be better to use %{datadir} instead of the hardcoded /usr/share, if possible.


I had a look at some file headers in /src and they say that the license is GPLv2 with the option to use newer versions, that's why the license field has to be GPLv2+.


You might drop automake from BR, because it is needed by SDL-devel anyway.

Comment 13 Mario Blättermann 2012-08-20 18:56:22 UTC
Ping...?

Comment 14 Adam Huffman 2012-08-22 22:29:11 UTC
The patches are to fix non-Fedora-style paths e.g. libircclient/libircclient.h.

I've just made a new version that doesn't address all your comments but does at least build with the latest upstream release:

http://verdurin.fedorapeople.org/reviews/din/din.spec

http://verdurin.fedorapeople.org/reviews/din/din-3.5-1.fc17.src.rpm

Comment 15 Mario Blättermann 2012-08-23 07:43:46 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4416417

$ rpmlint -i -v *
din.src: I: checking
din.src: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.src: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.src: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.src: I: checking-url http://din.googlecode.com/files/din-3.5.tar.gz (timeout 10 seconds)
din.src: W: invalid-url Source0: http://din.googlecode.com/files/din-3.5.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

din.i686: I: checking
din.i686: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.i686: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.i686: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.i686: E: non-executable-script /usr/share/din/checkdotdin.in 0644L /bin/sh
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

din.i686: E: incorrect-fsf-address /usr/share/doc/din-3.5/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

din.i686: W: no-manual-page-for-binary din
Each executable in standard binary directories should have a man page.

din.i686: W: no-manual-page-for-binary checkdotdin
Each executable in standard binary directories should have a man page.

din.x86_64: I: checking
din.x86_64: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.x86_64: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.x86_64: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.x86_64: E: non-executable-script /usr/share/din/checkdotdin.in 0644L /bin/sh
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

din.x86_64: E: incorrect-fsf-address /usr/share/doc/din-3.5/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

din.x86_64: W: no-manual-page-for-binary din
Each executable in standard binary directories should have a man page.

din.x86_64: W: no-manual-page-for-binary checkdotdin
Each executable in standard binary directories should have a man page.

din-debuginfo.i686: I: checking
din-debuginfo.i686: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din-debuginfo.x86_64: I: checking
din-debuginfo.x86_64: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.spec: I: checking-url http://din.googlecode.com/files/din-3.5.tar.gz (timeout 10 seconds)
din.spec: W: invalid-url Source0: http://din.googlecode.com/files/din-3.5.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 4 errors, 12 warnings.

Spelling errors are of minor importance. Well, "waveform" should be "wave form".
To be ignored: 404 links (the download location is reachable), missing man pages. Incorrect FSF addresses need to be reported to the upstream people.

/usr/share/din/checkdotdin.in is a shell script without executable bit. But I think it's an artifact from the autotools installation. We have the final script named checkdotdin in /usr/bin. Is the *.in predecessor even needed?

The header of /usr/bin/checkdotdin is
#! /bin/sh
datadir0=/usr/local/share/din/
datadir1=$HOME/\.din/
Please test it if it works with the /usr/local declaration.

As already mentioned, change the license from GPLv2 to GPLv2+. Moreover, the file NEWS has to be added to %doc. Finally, drop automake from BR because it is needed by SDL-devel.

Comment 16 Adam Huffman 2012-09-02 11:21:17 UTC
Should have a fixed package in the next day or so.

Comment 17 Adam Huffman 2012-09-03 22:48:57 UTC
I've contacted upstream again about the out of date COPYING file (I mailed originally a year ago).  I'm working on fixing checkdotdin properly, while I've included NEWS and fixed the license field.

Will upload a new version with the checkdotdin fix soon.  There's nothing wrong with the word "waveform", whatever rpmlint thinks...

Comment 18 Adam Huffman 2012-09-06 22:09:00 UTC
Okay, there's a new version that patches checkdotdin to use the correct path and should fix the other problems available at:

http://verdurin.fedorapeople.org/reviews/din/din.spec

http://verdurin.fedorapeople.org/reviews/din/din-3.5-2.fc17.src.rpm

As mentioned previously, the upstream author has said he'll fix the out of date COPYING file in the next release.

Comment 19 Mario Blättermann 2012-09-09 15:08:36 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4469558

From build.log:

/var/tmp/rpm-tmp.idElsd: line 33: autoreconf: command not found

autoconf needs to be added to BuildRequires.

Comment 20 Adam Huffman 2012-09-09 22:03:45 UTC
This appears to be fixed by re-instating automake.

New version at:

http://verdurin.fedorapeople.org/reviews/din/din.spec

http://verdurin.fedorapeople.org/reviews/din/din-3.5-3.fc17.src.rpm

Comment 21 Adam Huffman 2012-09-09 22:04:22 UTC
Meant to add that my f16/f17 mock builds didn't have this problem, so it must be a change in f18.

Comment 22 Mario Blättermann 2012-09-15 19:15:35 UTC
Scratch build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4486981

$ rpmlint -i -v *
din.src: I: checking
din.src: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.src: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.src: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.src: I: checking-url http://din.googlecode.com/files/din-3.5.tar.gz (timeout 10 seconds)
din.src: W: invalid-url Source0: http://din.googlecode.com/files/din-3.5.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

din.i686: I: checking
din.i686: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.i686: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.i686: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.i686: E: incorrect-fsf-address /usr/share/doc/din-3.5/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

din.i686: W: no-manual-page-for-binary din
Each executable in standard binary directories should have a man page.

din.i686: W: no-manual-page-for-binary checkdotdin
Each executable in standard binary directories should have a man page.

din.x86_64: I: checking
din.x86_64: W: spelling-error %description -l en_US Bezier -> Brazier
The value of this tag appears to be misspelled. Please double-check.

din.x86_64: W: spelling-error %description -l en_US waveforms -> waveform, wave forms, wave-forms
The value of this tag appears to be misspelled. Please double-check.

din.x86_64: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.x86_64: E: incorrect-fsf-address /usr/share/doc/din-3.5/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

din.x86_64: W: no-manual-page-for-binary din
Each executable in standard binary directories should have a man page.

din.x86_64: W: no-manual-page-for-binary checkdotdin
Each executable in standard binary directories should have a man page.

din-debuginfo.i686: I: checking
din-debuginfo.i686: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din-debuginfo.x86_64: I: checking
din-debuginfo.x86_64: I: checking-url http://www.dinisnoise.org (timeout 10 seconds)
din.spec: I: checking-url http://din.googlecode.com/files/din-3.5.tar.gz (timeout 10 seconds)
din.spec: W: invalid-url Source0: http://din.googlecode.com/files/din-3.5.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 2 errors, 12 warnings.


Nothing of interest, as already discussed earlier.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[.] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    dc0ff2d71446639468a87cc63b0a139ffdeba3a4ef9407a45d6a605fd5a90e50  din-3.5.tar.gz
    dc0ff2d71446639468a87cc63b0a139ffdeba3a4ef9407a45d6a605fd5a90e50  din-3.5.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[.] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


If you don't want to provide it for EPEL 5, please remove the obsolete stuff (BuildRoot, %clean, %defattr etc.)

Comment 23 Mario Blättermann 2012-09-25 19:02:54 UTC
Just a reminder... (what about a SCM request?)

Comment 24 Adam Huffman 2012-09-25 21:12:35 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: din
Short Description: A musical instrument using multiple Bezier curves
Owners: verdurin
Branches: f16 f17 f18 el5 el6
InitialCC:

Comment 25 Gwyn Ciesla 2012-09-26 00:52:49 UTC
Git done (by process-git-requests).

Comment 26 Mario Blättermann 2012-10-07 09:38:59 UTC
No packages built yet...?

Comment 27 Mario Blättermann 2012-11-15 09:15:35 UTC
Packages for f16, f17 and f18 are marked as stable now, would it be OK to close this review request?


Note You need to log in before you can comment on or make changes to this bug.